/*
 * Copyright © 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */   

package com.nokia.example.racer.helpers;

public abstract class SimpleThread extends Thread{

    private boolean running = false;

    private long timeout = 0;

    public SimpleThread(long milliseconds) {
        timeout = milliseconds;
    }

    public abstract void execute();

    public void run() {
        running = true;
        while(running) {
           execute();
           try {
                sleep(timeout);
           }catch(InterruptedException e) {
               //do nothing
           }
        }
    }
    public void stop() {
        running = false;
    }

}
